wxWidgets: wxPropertyGridIterator Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxPropertyGridIterator Class Reference

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridIterator:
[legend]

## Public Member Functions
| wxPropertyGridIterator ()
| wxPropertyGridIterator (wxPropertyGridPageState *state, int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *property=NULL, int dir=1)
| wxPropertyGridIterator (wxPropertyGridPageState *state, int flags, int startPos, int dir=0)
| wxPropertyGridIterator (const wxPropertyGridIterator &it)
| ~wxPropertyGridIterator ()
Public Member Functions inherited from wxPropertyGridIteratorBase
| wxPropertyGridIteratorBase ()
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property. More...
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property. More...
void | Prev ()
| Iterate to the previous property. More...
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, ie a property when, in which iteration returns, it ends. More...

## Constructor & Destructor Documentation

## ◆ wxPropertyGridIterator() [1/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( |  | ) |

## ◆ wxPropertyGridIterator() [2/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags = `wxPG_ITERATE_DEFAULT`,
|  | wxPGProperty * | property = `NULL`,
|  | int | dir = `1`
| ) |  |

## ◆ wxPropertyGridIterator() [3/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos,
|  | int | dir = `0`
| ) |  |

## ◆ wxPropertyGridIterator() [4/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( | const wxPropertyGridIterator & | it | ) |

## ◆ ~wxPropertyGridIterator()

wxPropertyGridIterator::~wxPropertyGridIterator | ( |  | ) |